OpenFileInEditor (Carbide.c++ SDK API Reference)
Keywords: com.nokia.carbide.templatewizard.processes.OpenFileInEditor class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Carbide.c++
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.nokia.carbide.templatewizard.processes
Class OpenFileInEditor

    java.lang.Object
      com.nokia.carbide.templatewizard.process.AbstractProcess
          com.nokia.carbide.templatewizard.process.AbstractProjectProcess
              com.nokia.carbide.templatewizard.processes.OpenFileInEditor

All Implemented Interfaces:
  IProcess

    public class OpenFileInEditor

extends AbstractProjectProcess

Opens the specified file in an editor. The file name is specified in a required parameter attribute 'fileName'. The optional attribute 'editorId' can be used to declare a specific editor to use. If the editor id is not specified or if the editor is not found, then the default editor for the file is used to open it.

See Also:
  `for 'fileName' attribute semantics`

Field Summary

Fields inherited from class com.nokia.carbide.templatewizard.process.AbstractProjectProcess
`projectParameter`

Constructor Summary
`OpenFileInEditor()`

Method Summary
`protected Plugin` | `getPlugin()` Must be implemented by subclasses to provide the `Plugin` needed to construct a `CoreException`.
`protected void` | `init(ITemplate template, java.util.List<IParameter> parameters)` Must be implemented by subclasses.
`void` | `process(ITemplate template, java.util.List<IParameter> parameters, IProgressMonitor monitor)` The main method called to execute this process.

Methods inherited from class com.nokia.carbide.templatewizard.process.AbstractProjectProcess
`getProjectName`

Methods inherited from class com.nokia.carbide.templatewizard.process.AbstractProcess
`fail, fail, failIfFalse, failIfNull, findParameterByName, getProcessName, getRequiredAttributeFromParameter, getRequiredParameterByName, mustRunInUIThread, setRunInUIThread`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OpenFileInEditor

    public OpenFileInEditor()

Method Detail

### init

    protected void init(ITemplate template,
                        java.util.List<IParameter> parameters)
                 throws CoreException

  Description copied from class: `AbstractProcess`
  Must be implemented by subclasses.
  Called by `IProcess.process(ITemplate, List, IProgressMonitor)` to separate initialization from processing code.

  Overrides:
    `init` in class `AbstractProjectProcess`
  Parameters:
    `template` - the ITemplate argument to process
    `parameters` - the parameter list argument to process
  Throws:
    `CoreException`
  See Also:
    `com.nokia.carbide.templatewizard.process.IProcess#process(com.nokia.carbide.template.engine.ITemplate, java.util.List, org.eclipse.core.runtime.IProgressMonitor)`

### process

    public void process(ITemplate template,
                        java.util.List<IParameter> parameters,
                        IProgressMonitor monitor)
                 throws CoreException

  Description copied from interface: `IProcess`
  The main method called to execute this process.

  Specified by:
    `process` in interface `IProcess`
  Overrides:
    `process` in class `AbstractProcess`
  Parameters:
    `template` - the `ITemplate` for this process
    `parameters` - a list of `IParameter`
    `monitor` - the `IProgressMonitor`
  Throws:
    `CoreException` - if the process fails

### getPlugin

    protected Plugin getPlugin()

  Description copied from class: `AbstractProcess`
  Must be implemented by subclasses to provide the `Plugin` needed to construct a `CoreException`.

  Specified by:
    `getPlugin` in class `AbstractProcess`
  Returns:
    `org.eclipse.core.runtime.Plugin`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Carbide.c++
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD